package com.example.veraxapplication

import android.os.Bundle
import androidx.activity.ComponentActivity
import androidx.activity.compose.setContent
import com.example.veraxapplication.articles.IArticlesDataManager
import com.example.veraxapplication.articles.StubArticles
import com.example.veraxapplication.ui.topBar.TopBarVerax


// doc navBar: https://developer.android.com/reference/kotlin/androidx/compose/material3/package-summary#TopAppBar(kotlin.Function0,androidx.compose.ui.Modifier,kotlin.Function0,kotlin.Function1,androidx.compose.foundation.layout.WindowInsets,androidx.compose.material3.TopAppBarColors,androidx.compose.material3.TopAppBarScrollBehavior)
// doc compose, pleins de trucs: https://developer.android.com/jetpack/compose/text?hl=fr
//doc couleur background pas finie: https://developer.android.com/jetpack/compose/components/scaffold



class MainActivity : ComponentActivity() {

    var dataManager: IArticlesDataManager = StubArticles()
    var articles = dataManager.getDerniersArticles(4)


    var theme = listOf("Economique", "Culture", "Politique", "Faits divers")

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContent {


            // TopBarVerax(theme = theme, articles = articlesApi)
            TopBarVerax(theme = theme, articles = articles)

            // VeraxNavHost()

        }
    }
}